All Classes Namespaces Functions Variables Groups Pages
SmtpClient::Message Class Reference

for backwards-compatibility and convenience More...

Inheritance diagram for SmtpClient::Message:
[legend]

## Public Member Functions

| constructor (string sender, string subject)
| creates a Message object from the arguments given; this variant of the constructor is designed to be used to create a Message object for sending with the SmtpClient class More...

## Detailed Description

for backwards-compatibility and convenience

## Member Function Documentation

SmtpClient::Message::constructor | ( | string | sender,
|  | string | subject
| ) |  |

creates a Message object from the arguments given; this variant of the constructor is designed to be used to create a Message object for sending with the SmtpClient class

Use the Message::addTo() method to add message recipients

Parameters

  sender | the sender's email address; can be in the format `"Full Display Name <name@example.com>"`
  subject | the subject line for the email; the subject will be encoded with "Q" encoding

Exceptions

  MESSAGE-CONSTRUCTOR-ERROR | the sender's email address is not valid; the subject is empty